# Configure the SUNET CDN l4lb service
class cdn::l4lb(
  String $cilium_version = 'v1.16.1',
  String $cilium_devices = 'enp129s0f1np1',
)
{
  sunet::docker_compose { 'sunet-cdn-l4lb':
    content          => template('cdn/l4lb/docker-compose.yml.erb'),
    service_name     => 'cdn-l4lb',
    compose_dir      => '/opt/sunet-cdn/compose/l4lb',
    compose_filename => 'docker-compose.yml',
    description      => 'SUNET CDN l4lb',
  }
}
